<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\UserModel;

class UserModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(UserModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(UserModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(UserModel::class);
    }
}
